package org.apache.commons.beanutils;

public class ConversionException extends RuntimeException {
  protected Throwable cause;
  
  public ConversionException(String message) {
    super(message);
    this.cause = null;
  }
  
  public ConversionException(String message, Throwable cause) {
    super(message);
    this.cause = null;
    this.cause = cause;
  }
  
  public ConversionException(Throwable cause) {
    super(cause.getMessage());
    this.cause = null;
    this.cause = cause;
  }
  
  public Throwable getCause() {
    return this.cause;
  }
}
